complexType "NonPublicExecutionReportRetracted"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 attributes, 20 elements
Defined: | globally in fpml-recordkeeping-processes-5-3.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "2"
| >
Content: | header?, validation*, (parentCorrelationId?, correlationId?, sequenceNumber?)?, onBehalfOf[0..4]?, ( | ((originatingEvent?, trade?) | amendment? | increase? | (terminatingEvent?, termination?) | novation? | optionExercise? | optionExpiry* | deClear? | additionalEvent?)? | tradeIdentifier?), (party*, account*)?
</...>

Content Model Elements (20):

  account, additionalEvent, amendment, correlationId, deClear, header (defined in RequestMessage complexType), increase, novation, onBehalfOf (defined in OnBehalfOf.model group), optionExercise, | optionExpiry (defined in Events.model group), originatingEvent (defined in Events.model group), parentCorrelationId, party, sequenceNumber (defined in Sequence.model group), terminatingEvent (defined in Events.model group), termination, trade (defined in Events.model group), tradeIdentifier (in nonpublicExecutionReportRetracted), validation

All Direct / Indirect Based Elements (1):

  nonpublicExecutionReportRetracted

Known Usage Locations

- As direct type of elements (1):
  nonpublicExecutionReportRetracted

Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) RequestMessage (extension) NonCorrectableRequestMessage (extension) NonPublicExecutionReportRetracted

XML Source (see within schema source)

<xsd:complexType name="NonPublicExecutionReportRetracted"> <xsd:complexContent> <xsd:extension base="NonCorrectableRequestMessage"> <xsd:sequence> <xsd:choice> <xsd:group minOccurs="0" ref="Events.model"/> <xsd:element minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> </xsd:choice> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/20)
tradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.